Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users/Api Token

Get All Tokens

get
/v3/refresh-token

Returns generated api tokens of all the users of the organization. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

The request has succeeded.

application/json
get/v3/refresh-token
GET /v3/refresh-token HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "text",
      "organization_id": "text",
      "user_id": "text",
      "token": "text",
      "last_refresh": "text",
      "rate_limit": 1,
      "deleted": true
    }
  ]
}

Create Token

post
/v3/refresh-token

Generates refresh token for a user of the organization. Returns the refresh token object in response. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
user_idstringRequired
Responses
201

The request has succeeded and a new resource has been created as a result.

application/json
post/v3/refresh-token
POST /v3/refresh-token HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 18

{
  "user_id": "text"
}
{
  "data": {
    "id": "text",
    "organization_id": "text",
    "user_id": "text",
    "token": "text",
    "last_refresh": "text",
    "rate_limit": 1,
    "deleted": true
  }
}

Remove Token

delete
/v3/refresh-token/{refreshTokenID}

Removes refresh token of a user from organization. Upon success the refresh token of a user will be removed from the organization. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
refreshTokenIDstringRequired

(Required) refresh token id

Responses
204

There is no content to send for this request, but the headers may be useful.

*/*
objectOptional
delete/v3/refresh-token/{refreshTokenID}
DELETE /v3/refresh-token/{refreshTokenID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}

Last updated